<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: SFB.StandaloneFileBrowser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_s_f_b_1_1_standalone_file_browser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_s_f_b_1_1_standalone_file_browser-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">SFB.StandaloneFileBrowser Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a2997480c9b991331b387093d13a59f71"><td class="memItemLeft" align="right" valign="top">static string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a2997480c9b991331b387093d13a59f71">OpenFilePanel</a> (string title, string directory, string extension, bool multiselect)</td></tr>
<tr class="memdesc:a2997480c9b991331b387093d13a59f71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open file dialog  <a href="class_s_f_b_1_1_standalone_file_browser.html#a2997480c9b991331b387093d13a59f71">More...</a><br /></td></tr>
<tr class="separator:a2997480c9b991331b387093d13a59f71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad74c947422b384f388b61e98c674e127"><td class="memItemLeft" align="right" valign="top">static string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#ad74c947422b384f388b61e98c674e127">OpenFilePanel</a> (string title, string directory, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, bool multiselect)</td></tr>
<tr class="memdesc:ad74c947422b384f388b61e98c674e127"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open file dialog  <a href="class_s_f_b_1_1_standalone_file_browser.html#ad74c947422b384f388b61e98c674e127">More...</a><br /></td></tr>
<tr class="separator:ad74c947422b384f388b61e98c674e127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38e000304344919eaed7a56aecc87451"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a38e000304344919eaed7a56aecc87451">OpenFilePanelAsync</a> (string title, string directory, string extension, bool multiselect, Action&lt; string[]&gt; cb)</td></tr>
<tr class="memdesc:a38e000304344919eaed7a56aecc87451"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open file dialog async  <a href="class_s_f_b_1_1_standalone_file_browser.html#a38e000304344919eaed7a56aecc87451">More...</a><br /></td></tr>
<tr class="separator:a38e000304344919eaed7a56aecc87451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32f5d943b6381b573f0676890182f19"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#ac32f5d943b6381b573f0676890182f19">OpenFilePanelAsync</a> (string title, string directory, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, bool multiselect, Action&lt; string[]&gt; cb)</td></tr>
<tr class="memdesc:ac32f5d943b6381b573f0676890182f19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open file dialog async  <a href="class_s_f_b_1_1_standalone_file_browser.html#ac32f5d943b6381b573f0676890182f19">More...</a><br /></td></tr>
<tr class="separator:ac32f5d943b6381b573f0676890182f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f822186c7a5f370956beb09393c56a4"><td class="memItemLeft" align="right" valign="top">static string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a3f822186c7a5f370956beb09393c56a4">OpenFolderPanel</a> (string title, string directory, bool multiselect)</td></tr>
<tr class="memdesc:a3f822186c7a5f370956beb09393c56a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open folder dialog NOTE: Multiple folder selection doesn't supported on Windows  <a href="class_s_f_b_1_1_standalone_file_browser.html#a3f822186c7a5f370956beb09393c56a4">More...</a><br /></td></tr>
<tr class="separator:a3f822186c7a5f370956beb09393c56a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f182fc5c700ecad75fb2c00c4f7ca62"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a1f182fc5c700ecad75fb2c00c4f7ca62">OpenFolderPanelAsync</a> (string title, string directory, bool multiselect, Action&lt; string[]&gt; cb)</td></tr>
<tr class="memdesc:a1f182fc5c700ecad75fb2c00c4f7ca62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native open folder dialog async NOTE: Multiple folder selection doesn't supported on Windows  <a href="class_s_f_b_1_1_standalone_file_browser.html#a1f182fc5c700ecad75fb2c00c4f7ca62">More...</a><br /></td></tr>
<tr class="separator:a1f182fc5c700ecad75fb2c00c4f7ca62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca7d6cba7ff4f3f4f00f5e79e7aad57"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#adca7d6cba7ff4f3f4f00f5e79e7aad57">SaveFilePanel</a> (string title, string directory, string defaultName, string extension)</td></tr>
<tr class="memdesc:adca7d6cba7ff4f3f4f00f5e79e7aad57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native save file dialog  <a href="class_s_f_b_1_1_standalone_file_browser.html#adca7d6cba7ff4f3f4f00f5e79e7aad57">More...</a><br /></td></tr>
<tr class="separator:adca7d6cba7ff4f3f4f00f5e79e7aad57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa606c9f381e863ee253ea38cb47151"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#adaa606c9f381e863ee253ea38cb47151">SaveFilePanel</a> (string title, string directory, string defaultName, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions)</td></tr>
<tr class="memdesc:adaa606c9f381e863ee253ea38cb47151"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native save file dialog  <a href="class_s_f_b_1_1_standalone_file_browser.html#adaa606c9f381e863ee253ea38cb47151">More...</a><br /></td></tr>
<tr class="separator:adaa606c9f381e863ee253ea38cb47151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab268667bb4c7d63680ab47863442a6f3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#ab268667bb4c7d63680ab47863442a6f3">SaveFilePanelAsync</a> (string title, string directory, string defaultName, string extension, Action&lt; string &gt; cb)</td></tr>
<tr class="memdesc:ab268667bb4c7d63680ab47863442a6f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native save file dialog async  <a href="class_s_f_b_1_1_standalone_file_browser.html#ab268667bb4c7d63680ab47863442a6f3">More...</a><br /></td></tr>
<tr class="separator:ab268667bb4c7d63680ab47863442a6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfb33090faedf8db5295e4d4489f66f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a3cfb33090faedf8db5295e4d4489f66f">SaveFilePanelAsync</a> (string title, string directory, string defaultName, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, Action&lt; string &gt; cb)</td></tr>
<tr class="memdesc:a3cfb33090faedf8db5295e4d4489f66f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Native save file dialog async  <a href="class_s_f_b_1_1_standalone_file_browser.html#a3cfb33090faedf8db5295e4d4489f66f">More...</a><br /></td></tr>
<tr class="separator:a3cfb33090faedf8db5295e4d4489f66f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad74c947422b384f388b61e98c674e127" name="ad74c947422b384f388b61e98c674e127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad74c947422b384f388b61e98c674e127">&#9670;&nbsp;</a></span>OpenFilePanel() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string [] SFB.StandaloneFileBrowser.OpenFilePanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[]&#160;</td>
          <td class="paramname"><em>extensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open file dialog </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">extensions</td><td>List of extension filters. Filter Example: new <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>("Image Files", "jpg", "png")</td></tr>
    <tr><td class="paramname">multiselect</td><td>Allow multiple file selection</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns array of chosen paths. Zero length array when cancelled</dd></dl>

</div>
</div>
<a id="a2997480c9b991331b387093d13a59f71" name="a2997480c9b991331b387093d13a59f71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2997480c9b991331b387093d13a59f71">&#9670;&nbsp;</a></span>OpenFilePanel() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string [] SFB.StandaloneFileBrowser.OpenFilePanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>extension</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open file dialog </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">extension</td><td>Allowed extension</td></tr>
    <tr><td class="paramname">multiselect</td><td>Allow multiple file selection</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns array of chosen paths. Zero length array when cancelled</dd></dl>

</div>
</div>
<a id="ac32f5d943b6381b573f0676890182f19" name="ac32f5d943b6381b573f0676890182f19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac32f5d943b6381b573f0676890182f19">&#9670;&nbsp;</a></span>OpenFilePanelAsync() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SFB.StandaloneFileBrowser.OpenFilePanelAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[]&#160;</td>
          <td class="paramname"><em>extensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; string[]&gt;&#160;</td>
          <td class="paramname"><em>cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open file dialog async </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">extensions</td><td>List of extension filters. Filter Example: new <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>("Image Files", "jpg", "png")</td></tr>
    <tr><td class="paramname">multiselect</td><td>Allow multiple file selection</td></tr>
    <tr><td class="paramname">cb</td><td>Callback")</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a38e000304344919eaed7a56aecc87451" name="a38e000304344919eaed7a56aecc87451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38e000304344919eaed7a56aecc87451">&#9670;&nbsp;</a></span>OpenFilePanelAsync() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SFB.StandaloneFileBrowser.OpenFilePanelAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>extension</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; string[]&gt;&#160;</td>
          <td class="paramname"><em>cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open file dialog async </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">extension</td><td>Allowed extension</td></tr>
    <tr><td class="paramname">multiselect</td><td>Allow multiple file selection</td></tr>
    <tr><td class="paramname">cb</td><td>Callback")</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3f822186c7a5f370956beb09393c56a4" name="a3f822186c7a5f370956beb09393c56a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f822186c7a5f370956beb09393c56a4">&#9670;&nbsp;</a></span>OpenFolderPanel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string [] SFB.StandaloneFileBrowser.OpenFolderPanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open folder dialog NOTE: Multiple folder selection doesn't supported on Windows </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td></td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">multiselect</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns array of chosen paths. Zero length array when cancelled</dd></dl>

</div>
</div>
<a id="a1f182fc5c700ecad75fb2c00c4f7ca62" name="a1f182fc5c700ecad75fb2c00c4f7ca62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f182fc5c700ecad75fb2c00c4f7ca62">&#9670;&nbsp;</a></span>OpenFolderPanelAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SFB.StandaloneFileBrowser.OpenFolderPanelAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>multiselect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; string[]&gt;&#160;</td>
          <td class="paramname"><em>cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native open folder dialog async NOTE: Multiple folder selection doesn't supported on Windows </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td></td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">multiselect</td><td></td></tr>
    <tr><td class="paramname">cb</td><td>Callback")</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adaa606c9f381e863ee253ea38cb47151" name="adaa606c9f381e863ee253ea38cb47151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaa606c9f381e863ee253ea38cb47151">&#9670;&nbsp;</a></span>SaveFilePanel() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string SFB.StandaloneFileBrowser.SaveFilePanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>defaultName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[]&#160;</td>
          <td class="paramname"><em>extensions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native save file dialog </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">defaultName</td><td>Default file name</td></tr>
    <tr><td class="paramname">extensions</td><td>List of extension filters. Filter Example: new <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>("Image Files", "jpg", "png")</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns chosen path. Empty string when cancelled</dd></dl>

</div>
</div>
<a id="adca7d6cba7ff4f3f4f00f5e79e7aad57" name="adca7d6cba7ff4f3f4f00f5e79e7aad57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adca7d6cba7ff4f3f4f00f5e79e7aad57">&#9670;&nbsp;</a></span>SaveFilePanel() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string SFB.StandaloneFileBrowser.SaveFilePanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>defaultName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>extension</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native save file dialog </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">defaultName</td><td>Default file name</td></tr>
    <tr><td class="paramname">extension</td><td>File extension</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns chosen path. Empty string when cancelled</dd></dl>

</div>
</div>
<a id="a3cfb33090faedf8db5295e4d4489f66f" name="a3cfb33090faedf8db5295e4d4489f66f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfb33090faedf8db5295e4d4489f66f">&#9670;&nbsp;</a></span>SaveFilePanelAsync() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SFB.StandaloneFileBrowser.SaveFilePanelAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>defaultName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[]&#160;</td>
          <td class="paramname"><em>extensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; string &gt;&#160;</td>
          <td class="paramname"><em>cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native save file dialog async </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">defaultName</td><td>Default file name</td></tr>
    <tr><td class="paramname">extensions</td><td>List of extension filters. Filter Example: new <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>("Image Files", "jpg", "png")</td></tr>
    <tr><td class="paramname">cb</td><td>Callback")</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab268667bb4c7d63680ab47863442a6f3" name="ab268667bb4c7d63680ab47863442a6f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab268667bb4c7d63680ab47863442a6f3">&#9670;&nbsp;</a></span>SaveFilePanelAsync() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SFB.StandaloneFileBrowser.SaveFilePanelAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>directory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>defaultName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>extension</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Action&lt; string &gt;&#160;</td>
          <td class="paramname"><em>cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Native save file dialog async </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>Dialog title</td></tr>
    <tr><td class="paramname">directory</td><td>Root directory</td></tr>
    <tr><td class="paramname">defaultName</td><td>Default file name</td></tr>
    <tr><td class="paramname">extension</td><td>File extension</td></tr>
    <tr><td class="paramname">cb</td><td>Callback")</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/StandaloneFileBrowser/<a class="el" href="_standalone_file_browser_8cs.html">StandaloneFileBrowser.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_s_f_b.html">SFB</a></li><li class="navelem"><a class="el" href="class_s_f_b_1_1_standalone_file_browser.html">StandaloneFileBrowser</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
